Subject: Re: [PATCH v4 10/10] bnxt: Create an auxiliary device for fwctl_bnxt

From: Jason Gunthorpe <[email-masked]>
Date: Fri, 7 Feb 2025 21:16:47 -0400

On Fri, Feb 07, 2025 at 01:51:11PM -0800, Jakub Kicinski wrote:

> But if you agree the netdev doesn't need it seems like a fairly
> straightforward way to unblock your progress.

I'm trying to understand what you are suggesting here.

We have many scenarios where mlx5_core spawns all kinds of different
devices, including recovery cases where there is no networking at all
and only fwctl. So we can't just discard the aux dev or mlx5_core
triggered setup without breaking scenarios.

However, you seem to be suggesting that netdev-only configurations (ie
netdev loaded but no rdma loaded) should disable fwctl. Is that the
case? All else would remain the same. It is very ugly but I could see
a technical path to do it, and would consider it if that brings peace.

Jason